Subject: bug#751 closed by Chong Yidong <[email-masked]> (Re: Secondary selection error)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#751: Secondary selection error

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
751: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=751
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Wed Aug 20 15:11:14 2008
From: Chong Yidong <[email-masked]>
To: =?utf-8?Q?Per_Nordl=C3=B6w?= <[email-masked]>
Cc: [email-masked]
Subject: Re: Secondary selection error
Date: Wed, 20 Aug 2008 18:12:25 -0400

> Evaluating the expression (x-get-selection 'SECONDARY) raises an error
> in emacs -Q on my Ubuntu Hardy Linux (using my daily emacs
> CVS-build)!. I believe it should instead return nil.

Sounds reasonable.  I've changed it to return nil.

>From [email-masked] Wed Aug 20 10:17:00 2008
Date: Wed, 20 Aug 2008 19:16:50 +0200
From: "=?ISO-8859-1?Q?Per_Nordl=F6w?=" <[email-masked]>
To: [email-masked]
Subject: Secondary selection error

------=_Part_30869_18588706.1219252610290
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

Evaluating the expression (x-get-selection 'SECONDARY) raises an error
in emacs -Q on my Ubuntu Hardy Linux (using my daily emacs
CVS-build)!. I believe it should instead return nil.

Thanks for Emacs,
Per Nordl=F6w

My build settings:

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-08-20 on bahjan
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--prefix=3D/home/per/alt'
'--enable-font-backend' '--with-xft' '--with-freetype' '--with-rsvg'
'--with-x-toolkit=3Dgtk' 'CC=3Dccache gcc-4.2' 'CFLAGS=3D -march=3Dathlon64=
 -mmmx
-mfpmath=3Dsse -msse -msse2 -m3dnow -O3 -fomit-frame-pointer -funroll-loops
-ftree-vectorize -ftree-vectorizer-verbose=3D1' 'LDFLAGS=3D-s''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: sv_SE.UTF-8
  value of $XMODIFIERS: @im=3DSCIM
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <down-mouse-1>
<mouse-1> M-d C-g M-x r e p o r t - e m <tab> <ret
urn>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit

------=_Part_30869_18588706.1219252610290
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

<div dir=3D"ltr">Evaluating the expression (x-get-selection &#39;SECONDARY)=
 raises an error<br>in emacs -Q on my Ubuntu Hardy Linux (using my daily em=
acs<br>CVS-build)!. I believe it should instead return nil.<br clear=3D"all=
">
<br>Thanks for Emacs,<br>Per Nordl=F6w<br><br>My build settings:<br><br>In =
GNU Emacs <a href=3D"http://23.0.60.1">23.0.60.1</a> (i686-pc-linux-gnu, GT=
K+ Version 2.12.9)<br>&nbsp;of 2008-08-20 on bahjan<br>Windowing system dis=
tributor `The X.Org Foundation&#39;, version 11.0.10400090<br>
configured using `configure&nbsp; &#39;--prefix=3D/home/per/alt&#39; &#39;-=
-enable-font-backend&#39; &#39;--with-xft&#39; &#39;--with-freetype&#39; &#=
39;--with-rsvg&#39; &#39;--with-x-toolkit=3Dgtk&#39; &#39;CC=3Dccache gcc-4=
.2&#39; &#39;CFLAGS=3D -march=3Dathlon64 -mmmx -mfpmath=3Dsse -msse -msse2 =
-m3dnow -O3 -fomit-frame-pointer -funroll-loops -ftree-vectorize -ftree-vec=
torizer-verbose=3D1&#39; &#39;LDFLAGS=3D-s&#39;&#39;<br>
<br>Important settings:<br>&nbsp; value of $LC_ALL: nil<br>&nbsp; value of =
$LC_COLLATE: nil<br>&nbsp; value of $LC_CTYPE: nil<br>&nbsp; value of $LC_M=
ESSAGES: nil<br>&nbsp; value of $LC_MONETARY: nil<br>&nbsp; value of $LC_NU=
MERIC: nil<br>&nbsp; value of $LC_TIME: nil<br>
&nbsp; value of $LANG: sv_SE.UTF-8<br>&nbsp; value of $XMODIFIERS: @im=3DSC=
IM<br>&nbsp; locale-coding-system: utf-8-unix<br>&nbsp; default-enable-mult=
ibyte-characters: t<br><br>Major mode: Lisp Interaction<br><br>Minor modes =
in effect:<br>&nbsp; tooltip-mode: t<br>
&nbsp; tool-bar-mode: t<br>&nbsp; mouse-wheel-mode: t<br>&nbsp; menu-bar-mo=
de: t<br>&nbsp; file-name-shadow-mode: t<br>&nbsp; global-font-lock-mode: t=
<br>&nbsp; font-lock-mode: t<br>&nbsp; blink-cursor-mode: t<br>&nbsp; globa=
l-auto-composition-mode: t<br>&nbsp; auto-composition-mode: t<br>
&nbsp; auto-encryption-mode: t<br>&nbsp; auto-compression-mode: t<br>&nbsp;=
 line-number-mode: t<br>&nbsp; transient-mark-mode: t<br><br>Recent input:<=
br>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&gt; &lt;down-mouse-1&g=
t; <br>&lt;mouse-1&gt; M-d C-g M-x r e p o r t - e m &lt;tab&gt; &lt;ret<br=
urn&gt;<br><br>Recent messages:<br>For information about GNU Emacs and the =
GNU system, type C-h C-a.<br>Quit<br>
</div>

------=_Part_30869_18588706.1219252610290--